PTY Class Reference

`#include <kdesu_pty.h>`

## Public Member Functions

| PTY ()
| ~PTY ()
int | getpt ()
int | grantpt ()
int | unlockpt ()
QCString | ptsname ()

## Detailed Description

PTY compatibility routines.

This class tries to emulate a UNIX98 PTY API on various platforms.

Definition at line 25 of file kdesu_pty.h.

## Constructor & Destructor Documentation

PTY::PTY | ( |  | ) |

Construct a PTY object.

Definition at line 80 of file kdesu_pty.cpp.

PTY::~PTY | ( |  | ) |

Destructs the object.

The PTY is closed if it is still open.

Definition at line 85 of file kdesu_pty.cpp.

## Member Function Documentation

int PTY::getpt | ( |  | ) |

Allocate a pty.

Returns
  A filedescriptor to the master side.

Definition at line 94 of file kdesu_pty.cpp.

int PTY::grantpt | ( |  | ) |

Grant access to the slave side.

Returns
  Zero if succesfull, < 0 otherwise.

Definition at line 195 of file kdesu_pty.cpp.

QCString PTY::ptsname | ( |  | ) |

Get the slave name.

Return the slave side name.

Returns
  The slave name.

Definition at line 295 of file kdesu_pty.cpp.

int PTY::unlockpt | ( |  | ) |

Unlock the slave side.

Unlock the pty.

Returns
  Zero if successful, < 0 otherwise.

This allows connections on the slave side.

Definition at line 264 of file kdesu_pty.cpp.

The documentation for this class was generated from the following files:

- kdesu_pty.h
- kdesu_pty.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys